#
# spec file for package php5-pear-Net_LDAP
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           php5-pear-Net_LDAP
%define pear_name  Net_LDAP
%define pear_sname net_ldap
Summary:        UNmaintained OOP interface for searching and manipulating LDAP-entries
License:        LGPL-3.0+
Group:          Productivity/Networking/Web/Servers
Version:        1.1.5
Release:        21.3
BuildArch:      noarch
Url:            http://pear.php.net/package/%{pear_name}
Source0:        %{pear_name}-%{version}.tgz
Source1:        LICENSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  php >= 4
BuildRequires:  php-macros
BuildRequires:  php5-pear
Requires:       php >= 4
Requires:       php5-pear
#
Provides:       php-pear-%{pear_name} pear-%{pear_name}
# Fix for renaming (package convention)
Provides:       php5-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
Net_LDAP is a clone of Perls Net::LDAP object interface todirectory servers. 
It does contain most of Net::LDAPs featuresbut has some own too.
With Net_LDAP you have:
 * A simple object-oriented interface to connections, searches entries and filters.
 * Support for tls and ldap v3.
 * Simple modification, deletion and creation of ldap entries.
 * Support for schema handling.
Net_LDAP layers itself on top of PHP's existing ldap extensions.

Net_LDAP is not maintained anymore. Use Net_LDAP2 for new code and migrate legacy applications.


%prep
%setup -c
%{__cp} %{SOURCE1} .
%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --force --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf %{buildroot}%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)

%changelog
* Wed Dec 21 2011 cfarrell@suse.com
- license update: LGPL-3.0+
  No indication that this is LGPL-3.0 (i.e. "only")
* Wed Dec 14 2011 coolo@suse.com
- the LGPL is v3
* Mon Feb  7 2011 lang@b1-systems.de
- https://bugzilla.novell.com/show_bug.cgi?id=670005 added license file
* Mon Jan 31 2011 lang@b1-systems.de
- LGPL
* Wed Jan 26 2011 lang@b1-systems.de
- repackaged with php-macros
- added note that it is unmaintained and superseded by Net_LDAP2
